Bug 961435 - [abrt] realmd-0.14.0-1.fc19: Process /usr/lib64/realmd/realmd was killed by signal 11 (SIGSEGV)
[abrt] realmd-0.14.0-1.fc19: Process /usr/lib64/realmd/realmd was killed by s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
abrt_hash:dcc42699cef3837d184247b64c8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 11:24 EDT by David Spurek
Modified: 2015-03-02 00:27 EST (History)
5 users (show)

See Also:
Fixed In Version: realmd-0.14.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 23:24:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.22 KB, text/plain)
2013-05-09 11:24 EDT, David Spurek
no flags Details
File: cgroup (154 bytes, text/plain)
2013-05-09 11:24 EDT, David Spurek
no flags Details
File: core_backtrace (677 bytes, text/plain)
2013-05-09 11:25 EDT, David Spurek
no flags Details
File: dso_list (4.56 KB, text/plain)
2013-05-09 11:25 EDT, David Spurek
no flags Details
File: environ (92 bytes, text/plain)
2013-05-09 11:25 EDT, David Spurek
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-09 11:25 EDT, David Spurek
no flags Details
File: maps (23.31 KB, text/plain)
2013-05-09 11:25 EDT, David Spurek
no flags Details
File: open_fds (774 bytes, text/plain)
2013-05-09 11:25 EDT, David Spurek
no flags Details
File: proc_pid_status (893 bytes, text/plain)
2013-05-09 11:25 EDT, David Spurek
no flags Details
File: var_log_messages (12.43 KB, text/plain)
2013-05-09 11:25 EDT, David Spurek
no flags Details

  None (edit)
Description David Spurek 2013-05-09 11:24:51 EDT
Description of problem:
realm join --user=Administrator --membership-software=adcli --verbose security.baseos.qe


Version-Release number of selected component:
realmd-0.14.0-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 3
cmdline:        /usr/lib64/realmd/realmd
executable:     /usr/lib64/realmd/realmd
kernel:         3.9.0-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 ??
 #1 g_bytes_unref at gbytes.c:297
 #2 on_process_source_input at realm-command.c:215
 #3 on_process_source_dispatch at realm-command.c:273
Comment 1 David Spurek 2013-05-09 11:24:55 EDT
Created attachment 745688 [details]
File: backtrace
Comment 2 David Spurek 2013-05-09 11:24:58 EDT
Created attachment 745689 [details]
File: cgroup
Comment 3 David Spurek 2013-05-09 11:25:01 EDT
Created attachment 745690 [details]
File: core_backtrace
Comment 4 David Spurek 2013-05-09 11:25:06 EDT
Created attachment 745691 [details]
File: dso_list
Comment 5 David Spurek 2013-05-09 11:25:10 EDT
Created attachment 745692 [details]
File: environ
Comment 6 David Spurek 2013-05-09 11:25:13 EDT
Created attachment 745693 [details]
File: limits
Comment 7 David Spurek 2013-05-09 11:25:18 EDT
Created attachment 745694 [details]
File: maps
Comment 8 David Spurek 2013-05-09 11:25:21 EDT
Created attachment 745695 [details]
File: open_fds
Comment 9 David Spurek 2013-05-09 11:25:23 EDT
Created attachment 745696 [details]
File: proc_pid_status
Comment 10 David Spurek 2013-05-09 11:25:26 EDT
Created attachment 745697 [details]
File: var_log_messages
Comment 11 David Spurek 2013-05-09 11:26:40 EDT
Tested case https://fedoraproject.org/wiki/QA:Testcase_realmd_join_os

in /etc/realmd.conf I have:
[active-directory]
os-name = Gentoo Linux
os-version = 9.9.9.9.9
Comment 12 Stef Walter 2013-05-13 08:27:49 EDT
Pushed fix for this upstream at: http://cgit.freedesktop.org/realmd/realmd/commit/?id=dc20a38edb780b6651216cf85981bc29dd9c26ee
Comment 13 Stef Walter 2013-05-13 12:52:18 EDT
Fix will be in 0.14.1
Comment 14 Fedora Update System 2013-05-13 13:48:58 EDT
realmd-0.14.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/realmd-0.14.1-1.fc19
Comment 15 Fedora Update System 2013-05-13 23:46:46 EDT
Package realmd-0.14.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.14.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8135/realmd-0.14.1-1.fc19
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-05-26 23:24:18 EDT
realmd-0.14.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.